Subject: Re: [PATCH v3 3/4] get rid of "git submodule summary --for-status"

From: Jens Lehmann <[email-masked]>
Date: Sun, 01 Sep 2013 15:47:43 +0200

Am 31.08.2013 19:08, schrieb brian m. carlson:
> On Fri, Aug 30, 2013 at 10:08:53PM +0200, Jens Lehmann wrote:
>> Am 30.08.2013 21:51, schrieb Jens Lehmann:
>>> Am 30.08.2013 21:40, schrieb Jens Lehmann:
>>>> Am 29.08.2013 23:23, schrieb Matthieu Moy:
>>>>> Jens Lehmann <[email-masked]> writes:
>>>>>
>>>>>> Am 29.08.2013 15:05, schrieb Matthieu Moy:
>>>>> Because of the missing quotes around $for_status, it seems the test is
>>>>> unconditionnaly true:
>>>>>
>>>>> $ test -n t ; echo $?
>>>>> 0
>>>>> $ test -n   ; echo $?
>>>>> 0
>>
>> Right you are, I did not notice the missing "" in my review. Looks like
>> we also should add one or more tests making sure that submodule summary
>> and status never honor the ignore settings.
> 
> How do we want to handle this?  I can send a reroll and include some
> new tests, but if this code is going away, then there's no point.

A reroll would be great, as I think your patch is a bugfix that should
go in rather soonish no matter how we continue with the comment signs.
Two new tests (one for submodule summary and one for submodule status)
with both the global ignore setting and a submodule specific one set
to "all" showing no impact on the output would suffice (and trigger the
then also fixed missing "" bug ;-).